Get All User DB Connections

Version 4.0.26.18 (latest)

Get All User DB Connections

Returns a list of user DB connections.

Request

GET /user_db_connections
Datatype
Description
Request
HTTP Request
query
HTTP Query
Expand HTTP Query definition...
fields
string
Requested fields.

Response

200: User DB Connections

Datatype
Description
(array)
can
object
Operations the current user is able to perform on this object
id
string
ID of the connection
name
string
Name of the connection (must match virtual namespace pattern)
user_id
integer
ID of the user who owns the connection
dialect
string
Database dialect name
auth_type
string
Authentication type (oauth, service_account, password)
host
string
Host name/address of server
port
string
Port number on server
database
string
Database name
schema
string
Schema name
jdbc_additional_params
string
Additional JDBC parameters
oauth_application_id
integer
OAuth application ID (if auth_type is oauth)
enabled
boolean
Whether this connection is enabled
created_at
string
When the connection was created
updated_at
string
When the connection was last updated

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link